/*Foto e CV*/
.main-content {
    width: 100%;
    height: 100vh;
}

.main-home {
    width: 98vw;
    height: 75vh;   
    padding: 30em 0;
}

.main-home__container {
    display: flex;
    justify-content: space-around;
    align-items: center;
    height: 100%;
}

.main-content{
    width: 25%;
    height: fit-content;
}

h2 {
    font-family: var(--font-dm-sans);
    line-height: 1.25em;
    letter-spacing: 0.075em;
    font-size: 48px;
    font-weight: bold;
    color: var(--text-base-light);
}

.main-title {
    font-size: 3em;
}

.main-subtitle {
    margin: 1.2em 0;
    color: var(--text-base-dark);
    font-size: 20px;
}

.button-cv,
.learn-more {
    padding: 18px 40px;
    font-weight: 500;
    font-size: 14px;
    cursor: pointer;

    width: 60%;
    margin: 1em 0;
}

.button-cv {
    background-color: var(--bg-icon-green);
    border: none;
    color: var(--text-base-light);
    margin-right: 1em;
    transition: all 150ms ease-in-out;
}

.button-cv:hover {
    background-color: var(--bg-icon-green-hover);
}

.learn-more {
    background-color: transparent;
    border: 1px solid var(--text-base-light);
    color: var(--text-base-light);
}

.author-photo img{
    height: 500px;
    border-radius: 100%;
}


/*Sobre mim*/
.about-me {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;

    margin: 2.5em 0;
    padding: 5em 0;
    border-top: 1px solid var(--text-base-dark);
}

.text-about {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    width: 70%;
}

.text-about h2 {
    font-size: 48px;
    margin-bottom: 1.375em;
}

.text-about p{
    color: var(--text-base-light);
    font-size: 18px;
    text-align: center;
}

.language {
    display: flex;
    align-items: center;
    gap: 1em;

    margin-top: 1em;
    font-size: 22px;
    width: 99%;
}

.language i {
    color: var(--text-base-light);
    font-size: 22px;
}

.skills {
    display: flex;
    justify-content: space-around;
    align-items: center;

    margin-top: 2.5em;
    padding: 1.5em 0;
    width: 80%;
    height: fit-content;
    background-color: var(--bg-color-gray);
}

.skills h2 {
    font-size: 28px;
}

.icons {
    font-size: 6em;
}

.technologies {
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    gap: 5em 10em;
    text-align: center;
    width: 70%;   
    color: var(--text-base-dark);
    transition: all 200ms ease-in-out;
}

.technologies li {
    transition: all 200ms ease-in-out;
}

.technologies li img {
    width: 1em;
    filter: brightness(45%);
    transition: all 200ms ease-in-out;
}

.technologies li:hover {
    color: #FFF;
}

.technologies li:hover img {
    filter: brightness(100%);
}

.technologies p {
    margin-top: 0.5em;
    font-size: 18px;
    font-weight: bold;
}

/*Projetos*/
.projects {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;

    padding: 5em 0;
    border-top: 1px solid var(--text-base-dark);
    width: 100%;
}

.projects-container {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;

    width: 80%;
}

.projetos {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: center;
    gap: 3em;

    padding-top: 5em;
    width: 100%;
}

.project{
    border-radius: 15px;
    background-color: var(--bg-color-gray);

    width: 30%;
    padding-bottom: 2em;
    overflow: hidden;
    transition: all 400ms ease-in-out;
}

.project:hover {
    transform: translateY(-2em);
    box-shadow: -1px 17px 53px -3px rgba(255,255,255,0.6);
}

.project img {
    width: 100%;
    height: 60%;
    border-radius: 15px 15px 0 0;
}

.projects-info {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 1.5em;

    margin: 2em;
    
}

.projects-title {
    color: var(--text-base-light);
    font-size: 1.2em;
    font-weight: bold;
    text-align: center;
    width: fit-content;
}

.projects-subtitle {
    color: var(--text-base-light);
    font-size: 1.15em;
    line-height: 1.25em;
    text-align: center;
    width: 110%;
}

.project-seemore {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 1em;

    text-decoration: none;
    color: var(--text-base-light);
    font-size: 1.2em;
    font-weight: bold;
    border: 1px solid var(--text-base-light);
    border-radius: 15px;
    margin: 0 auto;

    width: 70%;
    height: 2.5em;

    transition: all 200ms ease-in-out;
}

.project-seemore:hover {
    color: #000;
    background-color: #FFF;
}

/*Contact*/
.contact {
    display: flex;
    align-items: center;
    justify-content: center;

    padding: 5em 0;
    border-top: 1px solid var(--text-base-dark);
    width: 100%;
}

.contact-container {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 2em;
}

.contact-text {
    color: var(--text-base-light);
    font-size: 1.15em;
    text-align: center;
    width: 80%;
}

.contact-buttons {
    display: flex;
    align-items: center;
    justify-content: center;

    gap: 2em;
}

.button {
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 1em;

    box-sizing: border-box;
    padding: 1em 2.5em;
    text-decoration: none;
    font-size: 1.5em;
    font-weight: bold;
    color: var(--text-base-light);
    border: 1px solid var(--text-base-dark);
    border-radius: 15px;
    transition: all 200ms ease-in-out;
}

.github:hover {
    color: #000;
    background-color: #FFF;
}

.linkedin:hover {
    color: #0A66C2;
    background-color: #FFF;
}

.instagram {
    cursor: pointer;
    transition: all 200ms ease-in-out;
}

.instagram:hover {
    color: #FFF;
    background: linear-gradient(45deg, rgba(249,206,52,1) 0%, rgba(238,42,123,1) 31%, rgba(98,40,215,1) 100%); 
}

.email {
    display: flex;
    gap: 1em;
    justify-content: center;
    align-items: center;

    box-sizing: border-box;
    padding: 1em 2.5em;
    text-decoration: none;
    font-size: 1.5em;
    font-weight: bold;
    color: var(--text-base-light);
    border: 1px solid var(--text-base-dark);
    border-radius: 15px;
    transition: all 200ms ease-in-out;
}

.email:hover {
    background-color: #FFF;
    color: #d44638;
}

footer {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;

    color: var(--text-base-light);
    font-size: 1.15em;
    padding: 3em 0;
    border-top: 1px solid var(--text-base-dark);
}